MKVINFO(1)

NOM
mkvinfo - Affiche des informations au sujet des éléments dans les fichiers Matroska(TM)

RÉSUMÉ

mkvinfo [options] {source-filename}

DESCRIPTION

Ce logiciel liste tous les éléments contenus dans un Matroska(TM). La sortie peut être limitée à une liste de pistes dans le fichier incluant des informations sur les codecs utilisés.

-a, --all
    Par défaut mkvinfo(1) s'arrête quand il rencontre la première grappe. De plus il n'affichera pas certains éléments répétitifs. Avec cette option mkvinfo(1) continue l'exécution quel que soit le niveau de verbosité et affiche tous les éléments.

-c, --checksums
    Calcule et affiche la somme de contrôle Adler-32 pour chaque trame. Seulement utile pour déboguer.

-o, --continue
    Par défaut mkvinfo(1) s'arrête quand il rencontre la première grappe. Avec cette option mkvinfo(1) continue l'exécution quel que soit le niveau de verbosité.

-p, --hex-positions
    Afficher les positions de tous les éléments en hexadécimal quelle que soit la verbosité.

-P, --positions
    Afficher les positions de tous les éléments en décimal quelle que soit la verbosité.

-s, --summary
    Affiche seulement un résumé succinct de ce que mkvinfo(1) trouve, et pas chaque élément.

-t, --track-info
    Affiche les statistiques de chaque piste en mode verbeux. Définit aussi la verbosité à 1 si elle était au niveau 0 avant.

-x, --hexdump
    Affiche les 16 premiers octets de chaque trame en hexadécimal.

-X, --full-hexdump
    Affiche tous les octets de chaque trame en hexadécimal.

-z, --size
    Affiche la taille de chaque élément y compris son entête.

--command-line-charset character-set
    Définit le jeu de caractères utilisé pour la conversion des chaînes fournies en ligne de commande. Par défaut, celui-ci correspond à celui donné par la « locale » du système.

--output-charset character-set
    Définit le jeu de caractères dans lequel les chaînes en sortie sont converties. Par défaut, celui-ci correspond à celui donné par la « locale » du système.

-r, --redirect-output file-name
    Écrit tous les messages dans le fichier file-name plutôt que vers la console. Alors que cela peut être facilement fait avec la redirection de la sortie, il y a des cas pour lesquels cette option est nécessaire : quand le terminal réinterprète la sortie avant de l'écrire dans un fichier. Le jeu de caractères défini avec --output-charset est honoré.

--ui-language code
    Force les traductions pour la langue code à utiliser (par ex. 'fr_FR' pour les traductions françaises). Saisir 'list' comme code obligera le logiciel à générer la liste des traductions disponibles.

--abort-on-warnings
    Demande au programme d'abandonner après le premier avertissement. Le code de fermeture sera égal à 1.

--debug topic
    Activer le débogage pour une fonctionnalité spécifique. Cette option est utile uniquement pour les développeurs.

--engage feature
    Active les fonctionnalités expérimentales. Une liste des fonctions disponibles peut être demandée avec mkvinfo --engage list. Ces fonctionnalités ne devraient pas être utilisées en situations normales.

--gui-mode
    Active l'interface graphique utilisateur. Dans ce mode, des lignes spécialement formatées peuvent être générées et informer une GUI de la situation. Ces messages suivent le format '#GUI#message'. Le message peut être suivi d'une paire clé/valeur comme '#GUI#message#key1=value1#key2=value2...'. Ni les messages ni les clés ne sont traduits, et sont toujours générés en anglais.

-v, --verbose
    Plus de verbosité. Voir la section sur les niveaux de verbosité pour une description des informations fournies par niveaux.

-h, --help
    Affiche les informations d'utilisation et quitte.

-V, --version
    Affiche les informations de version et quitte.

@options-file.json
    Lit des arguments supplémentaires en ligne de commande depuis le fichier options-file. Pour une explication complète sur les formats pris en charge pour de tels fichiers, voir la section nommée « Fichiers d'options » sur la page man de mkvmerge(1).

NIVEAUX DE VERBOSITÉ

L'option -v peut être utilisée pour augmenter le niveau de verbosité de mkvinfo(1) et imprimer plus d'informations sur le fichier actuel.

Au niveau 0 mkvinfo(1) imprimera seulement les entêtes de piste qu'il trouvera et leurs types. mkvinfo(1) quittera dès que les entêtes sont totalement analysées (techniquement dès que la première grappe est rencontrée). Dans ce niveau, les entrées de positionnement de tête et les entrées de montage ne sont pas affichées -- même si elles sont situées devant les informations de piste.

Au niveau 1 mkvinfo(1) imprimera aussi tous les éléments Matroska(TM) rencontrés du fichier entier sauf les entrées de positionnement de tête et les entrées de montage. Si le mode résumé est activé, alors mkvinfo(1) générera aussi la position de trame.

Le même effet peut être obtenu avec l'option --continue.

Au niveau 2 mkvinfo(1) imprimera aussi les entrées de positionnement de tête, les entrées de montage et la position du fichier à laquelle chaque élément Matroska(TM) peut être trouvé.

Le même effet peut être obtenu avec les options --all --positions.

Au niveau 3 et + mkvinfo(1) imprimera quelques informations non directement reliées à un élément Matroska(TM). Tous les autres éléments imprimeront des choses sur les éléments venant juste d'être trouvés. Le niveau 3 ajoute des métadonnées pour faciliter le débogage (lire : il est seulement prévu pour les développeurs). Toutes les lignes écrites au niveau 3 sont entourées de crochets pour faciliter leur filtrage.

FICHIERS TEXTE ET CONVERSIONS DE JEUX DE CARACTÈRES

Pour une discussion approfondie sur la gestion des conversions de jeux de caractères des outils de la suite MKVToolNix, de l'encodage source/cible, de l'encodage de la ligne de commande, de l'encodage de la console, merci de voir les sections respectives nommées pareillement des pages man de mkvmerge(1).

CODES DE FERMETURE

mkvinfo(1) ferme avec l'un de ces trois codes de fermeture :

    • 0 -- Ce code de sortie signifie que l'exécution s'est correctement terminée.

    • 1 -- Dans ce cas mkvpropedit(1) a émis au moins un avertissement, mais l'exécution a continué. Un avertissement est préfixé avec le texte 'Avertissement :'.

    • 2 -- Ce code de fermeture est utilisé lorsqu'une erreur survient. mkvpropedit(1) abandonne juste après le message d'erreur. Les messages d'erreurs vont des arguments erronés en ligne de commande aux fichiers défectueux en passant par les erreurs en lecture/écriture.

VARIABLES DENVIRONMENT

mkvmerge(1) utilise les variables par défaut qui déterminent la « locale » du système (par ex. LANG et la famille LC_*). Variables additionnelles :

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG et sa forme courte MTX_DEBUG
    Le contenu est traité comme s'il a été passé via l'option --debug.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE et sa forme courte MTX_ENGAGE
    Le contenu est traité comme s'il a été passé via l'option --engage.

VOIR AUSSI

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

WWW

La dernière version peut toujours être trouvée à la page d'accueil de MKVToolNix[1].

AUTEUR

Moritz Bunkus <moritz@bunkus.org>
    Développeur

NOTES

1.  la page d'accueil de MKVToolNix
    https://mkvtoolnix.download/